Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
40991e8fa1c81a81f906fae92f44d11f85607076
[simgrid.git] / examples / msg / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = msg_test$(EXEEXT) msg_test_surfxml_bypassed$(EXEEXT) \
45         msg_test_suspend$(EXEEXT) ping_pong$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(top_srcdir)/acmacro/dist-files.mk
48 subdir = examples/msg
49 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
51         $(top_srcdir)/acmacro/compiler-flags.m4 \
52         $(top_srcdir)/acmacro/context.m4 \
53         $(top_srcdir)/acmacro/fancy_configury.m4 \
54         $(top_srcdir)/acmacro/flex.m4 \
55         $(top_srcdir)/acmacro/gras_arch.m4 \
56         $(top_srcdir)/acmacro/print_null.m4 \
57         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
58 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
59         $(ACLOCAL_M4)
60 mkinstalldirs = $(install_sh) -d
61 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
62 CONFIG_CLEAN_FILES =
63 am_msg_test_OBJECTS = msg_test.$(OBJEXT)
64 msg_test_OBJECTS = $(am_msg_test_OBJECTS)
65 msg_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
66 am_msg_test_surfxml_bypassed_OBJECTS =  \
67         msg_test_surfxml_bypassed.$(OBJEXT)
68 msg_test_surfxml_bypassed_OBJECTS =  \
69         $(am_msg_test_surfxml_bypassed_OBJECTS)
70 msg_test_surfxml_bypassed_DEPENDENCIES =  \
71         $(top_builddir)/src/libsimgrid.la
72 am_msg_test_suspend_OBJECTS = msg_test_suspend.$(OBJEXT)
73 msg_test_suspend_OBJECTS = $(am_msg_test_suspend_OBJECTS)
74 msg_test_suspend_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
75 am_ping_pong_OBJECTS = ping_pong.$(OBJEXT)
76 ping_pong_OBJECTS = $(am_ping_pong_OBJECTS)
77 ping_pong_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
78 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
79 depcomp = $(SHELL) $(top_srcdir)/depcomp
80 am__depfiles_maybe = depfiles
81 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
82         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
83 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
84         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
85         $(AM_CFLAGS) $(CFLAGS)
86 CCLD = $(CC)
87 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
88         $(AM_LDFLAGS) $(LDFLAGS) -o $@
89 SOURCES = $(msg_test_SOURCES) $(msg_test_surfxml_bypassed_SOURCES) \
90         $(msg_test_suspend_SOURCES) $(ping_pong_SOURCES)
91 DIST_SOURCES = $(msg_test_SOURCES) \
92         $(msg_test_surfxml_bypassed_SOURCES) \
93         $(msg_test_suspend_SOURCES) $(ping_pong_SOURCES)
94 ETAGS = etags
95 CTAGS = ctags
96 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
97 ACLOCAL = @ACLOCAL@
98 ADDR2LINE = @ADDR2LINE@
99 AMDEP_FALSE = @AMDEP_FALSE@
100 AMDEP_TRUE = @AMDEP_TRUE@
101 AMTAR = @AMTAR@
102 AM_CFLAGS = -g
103 AR = @AR@
104 AS = @AS@
105 AUTOCONF = @AUTOCONF@
106 AUTOHEADER = @AUTOHEADER@
107 AUTOMAKE = @AUTOMAKE@
108 AWK = @AWK@
109 BASH = @BASH@
110 CC = @CC@
111 CCDEPMODE = @CCDEPMODE@
112 CFLAGS = @CFLAGS@
113 CPP = @CPP@
114 CPPFLAGS = @CPPFLAGS@
115 CXX = @CXX@
116 CXXCPP = @CXXCPP@
117 CXXDEPMODE = @CXXDEPMODE@
118 CXXFLAGS = @CXXFLAGS@
119 CYGPATH_W = @CYGPATH_W@
120 DEFS = @DEFS@
121 DEPDIR = @DEPDIR@
122 DLLTOOL = @DLLTOOL@
123 DOXYGEN = @DOXYGEN@
124 ECHO = @ECHO@
125 ECHO_C = @ECHO_C@
126 ECHO_N = @ECHO_N@
127 ECHO_T = @ECHO_T@
128 EGREP = @EGREP@
129 EXEEXT = @EXEEXT@
130 F77 = @F77@
131 FFLAGS = @FFLAGS@
132 FLEXML = @FLEXML@
133 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
134 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
135 GRAS_DEP = @GRAS_DEP@
136 GREP = @GREP@
137 GTNETS_CFLAGS = @GTNETS_CFLAGS@
138 GTNETS_LDFLAGS = @GTNETS_LDFLAGS@
139 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
140 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
141 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
142 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
143 INSTALL_DATA = @INSTALL_DATA@
144 INSTALL_PROGRAM = @INSTALL_PROGRAM@
145 INSTALL_SCRIPT = @INSTALL_SCRIPT@
146 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
147 LDFLAGS = @LDFLAGS@
148 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
149 LEX = @LEX@
150 LEXLIB = @LEXLIB@
151 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
152 LIBOBJS = @LIBOBJS@
153 LIBS = @LIBS@
154 LIBTOOL = @LIBTOOL@
155 LN_S = @LN_S@
156 LTLIBOBJS = @LTLIBOBJS@
157 MAINT = @MAINT@
158 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
159 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
160 MAKEINFO = @MAKEINFO@
161 MD5SUM = @MD5SUM@
162 OBJDUMP = @OBJDUMP@
163 OBJEXT = @OBJEXT@
164 PACKAGE = @PACKAGE@
165 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
166 PACKAGE_NAME = @PACKAGE_NAME@
167 PACKAGE_STRING = @PACKAGE_STRING@
168 PACKAGE_TARNAME = @PACKAGE_TARNAME@
169 PACKAGE_VERSION = @PACKAGE_VERSION@
170 PATH_SEPARATOR = @PATH_SEPARATOR@
171 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
172 RANLIB = @RANLIB@
173 SET_MAKE = @SET_MAKE@
174 SHELL = @SHELL@
175 SIMGRID_DEP = @SIMGRID_DEP@
176 STRIP = @STRIP@
177 USE_GTNETS_FALSE = @USE_GTNETS_FALSE@
178 USE_GTNETS_TRUE = @USE_GTNETS_TRUE@
179 USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
180 USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
181 VERSION = @VERSION@
182 WARNING = @WARNING@
183 abs_builddir = @abs_builddir@
184 abs_srcdir = @abs_srcdir@
185 abs_top_builddir = @abs_top_builddir@
186 abs_top_srcdir = @abs_top_srcdir@
187 ac_configure_args = @ac_configure_args@
188 ac_ct_CC = @ac_ct_CC@
189 ac_ct_CXX = @ac_ct_CXX@
190 ac_ct_F77 = @ac_ct_F77@
191 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
192 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
193 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
194 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
195 am__include = @am__include@
196 am__leading_dot = @am__leading_dot@
197 am__quote = @am__quote@
198 am__tar = @am__tar@
199 am__untar = @am__untar@
200 bindir = @bindir@
201 build = @build@
202 build_alias = @build_alias@
203 build_cpu = @build_cpu@
204 build_id = @build_id@
205 build_os = @build_os@
206 build_vendor = @build_vendor@
207 datadir = @datadir@
208 datarootdir = @datarootdir@
209 docdir = @docdir@
210 dvidir = @dvidir@
211 exec_prefix = @exec_prefix@
212 host = @host@
213 host_alias = @host_alias@
214 host_cpu = @host_cpu@
215 host_os = @host_os@
216 host_vendor = @host_vendor@
217 htmldir = @htmldir@
218 includedir = @includedir@
219 infodir = @infodir@
220 install_sh = @install_sh@
221 libdir = @libdir@
222 libexecdir = @libexecdir@
223 localedir = @localedir@
224 localstatedir = @localstatedir@
225 mandir = @mandir@
226 mkdir_p = @mkdir_p@
227 oldincludedir = @oldincludedir@
228 pdfdir = @pdfdir@
229 prefix = @prefix@
230 program_transform_name = @program_transform_name@
231 psdir = @psdir@
232 pth_skaddr_makecontext = @pth_skaddr_makecontext@
233 pth_sksize_makecontext = @pth_sksize_makecontext@
234 sbindir = @sbindir@
235 sharedstatedir = @sharedstatedir@
236 sysconfdir = @sysconfdir@
237 target = @target@
238 target_alias = @target_alias@
239 target_cpu = @target_cpu@
240 target_os = @target_os@
241 target_vendor = @target_vendor@
242 INCLUDES = -I$(top_srcdir)/include
243 EXTRA_DIST = msg_deployment.xml msg_platform.xml small_platform.xml small_deployment.xml msg_deployment_suspend.xml
244 CLEANFILES = msg_test.trace
245 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
246 TESTS = msg_test.tesh
247 msg_test_SOURCES = msg_test.c
248 msg_test_LDADD = $(top_builddir)/src/libsimgrid.la
249 msg_test_surfxml_bypassed_SOURCES = msg_test_surfxml_bypassed.c
250 msg_test_surfxml_bypassed_LDADD = $(top_builddir)/src/libsimgrid.la
251 msg_test_suspend_SOURCES = msg_test_suspend.c
252 msg_test_suspend_LDADD = $(top_builddir)/src/libsimgrid.la
253 ping_pong_SOURCES = ping_pong.c
254 ping_pong_LDADD = $(top_builddir)/src/libsimgrid.la
255 all: all-am
256
257 .SUFFIXES:
258 .SUFFIXES: .c .lo .o .obj
259 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
260         @for dep in $?; do \
261           case '$(am__configure_deps)' in \
262             *$$dep*) \
263               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
264                 && exit 0; \
265               exit 1;; \
266           esac; \
267         done; \
268         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/msg/Makefile'; \
269         cd $(top_srcdir) && \
270           $(AUTOMAKE) --gnu  examples/msg/Makefile
271 .PRECIOUS: Makefile
272 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
273         @case '$?' in \
274           *config.status*) \
275             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
276           *) \
277             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
278             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
279         esac;
280
281 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
282         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
283
284 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
285         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
286 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
287         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
288
289 clean-checkPROGRAMS:
290         @list='$(check_PROGRAMS)'; for p in $$list; do \
291           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
292           echo " rm -f $$p $$f"; \
293           rm -f $$p $$f ; \
294         done
295 msg_test$(EXEEXT): $(msg_test_OBJECTS) $(msg_test_DEPENDENCIES) 
296         @rm -f msg_test$(EXEEXT)
297         $(LINK) $(msg_test_LDFLAGS) $(msg_test_OBJECTS) $(msg_test_LDADD) $(LIBS)
298 msg_test_surfxml_bypassed$(EXEEXT): $(msg_test_surfxml_bypassed_OBJECTS) $(msg_test_surfxml_bypassed_DEPENDENCIES) 
299         @rm -f msg_test_surfxml_bypassed$(EXEEXT)
300         $(LINK) $(msg_test_surfxml_bypassed_LDFLAGS) $(msg_test_surfxml_bypassed_OBJECTS) $(msg_test_surfxml_bypassed_LDADD) $(LIBS)
301 msg_test_suspend$(EXEEXT): $(msg_test_suspend_OBJECTS) $(msg_test_suspend_DEPENDENCIES) 
302         @rm -f msg_test_suspend$(EXEEXT)
303         $(LINK) $(msg_test_suspend_LDFLAGS) $(msg_test_suspend_OBJECTS) $(msg_test_suspend_LDADD) $(LIBS)
304 ping_pong$(EXEEXT): $(ping_pong_OBJECTS) $(ping_pong_DEPENDENCIES) 
305         @rm -f ping_pong$(EXEEXT)
306         $(LINK) $(ping_pong_LDFLAGS) $(ping_pong_OBJECTS) $(ping_pong_LDADD) $(LIBS)
307
308 mostlyclean-compile:
309         -rm -f *.$(OBJEXT)
310
311 distclean-compile:
312         -rm -f *.tab.c
313
314 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test.Po@am__quote@
315 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test_surfxml_bypassed.Po@am__quote@
316 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test_suspend.Po@am__quote@
317 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ping_pong.Po@am__quote@
318
319 .c.o:
320 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
321 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
322 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
323 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
324 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
325
326 .c.obj:
327 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
328 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
329 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
330 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
331 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
332
333 .c.lo:
334 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
335 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
336 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
337 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
338 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
339
340 mostlyclean-libtool:
341         -rm -f *.lo
342
343 clean-libtool:
344         -rm -rf .libs _libs
345
346 distclean-libtool:
347         -rm -f libtool
348 uninstall-info-am:
349
350 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
351         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
352         unique=`for i in $$list; do \
353             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
354           done | \
355           $(AWK) '    { files[$$0] = 1; } \
356                END { for (i in files) print i; }'`; \
357         mkid -fID $$unique
358 tags: TAGS
359
360 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
361                 $(TAGS_FILES) $(LISP)
362         tags=; \
363         here=`pwd`; \
364         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
365         unique=`for i in $$list; do \
366             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
367           done | \
368           $(AWK) '    { files[$$0] = 1; } \
369                END { for (i in files) print i; }'`; \
370         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
371           test -n "$$unique" || unique=$$empty_fix; \
372           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
373             $$tags $$unique; \
374         fi
375 ctags: CTAGS
376 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
377                 $(TAGS_FILES) $(LISP)
378         tags=; \
379         here=`pwd`; \
380         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
381         unique=`for i in $$list; do \
382             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
383           done | \
384           $(AWK) '    { files[$$0] = 1; } \
385                END { for (i in files) print i; }'`; \
386         test -z "$(CTAGS_ARGS)$$tags$$unique" \
387           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
388              $$tags $$unique
389
390 GTAGS:
391         here=`$(am__cd) $(top_builddir) && pwd` \
392           && cd $(top_srcdir) \
393           && gtags -i $(GTAGS_ARGS) $$here
394
395 distclean-tags:
396         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
397
398 check-TESTS: $(TESTS)
399         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
400         srcdir=$(srcdir); export srcdir; \
401         list='$(TESTS)'; \
402         if test -n "$$list"; then \
403           for tst in $$list; do \
404             if test -f ./$$tst; then dir=./; \
405             elif test -f $$tst; then dir=; \
406             else dir="$(srcdir)/"; fi; \
407             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
408               all=`expr $$all + 1`; \
409               case " $(XFAIL_TESTS) " in \
410               *" $$tst "*) \
411                 xpass=`expr $$xpass + 1`; \
412                 failed=`expr $$failed + 1`; \
413                 echo "XPASS: $$tst"; \
414               ;; \
415               *) \
416                 echo "PASS: $$tst"; \
417               ;; \
418               esac; \
419             elif test $$? -ne 77; then \
420               all=`expr $$all + 1`; \
421               case " $(XFAIL_TESTS) " in \
422               *" $$tst "*) \
423                 xfail=`expr $$xfail + 1`; \
424                 echo "XFAIL: $$tst"; \
425               ;; \
426               *) \
427                 failed=`expr $$failed + 1`; \
428                 echo "FAIL: $$tst"; \
429               ;; \
430               esac; \
431             else \
432               skip=`expr $$skip + 1`; \
433               echo "SKIP: $$tst"; \
434             fi; \
435           done; \
436           if test "$$failed" -eq 0; then \
437             if test "$$xfail" -eq 0; then \
438               banner="All $$all tests passed"; \
439             else \
440               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
441             fi; \
442           else \
443             if test "$$xpass" -eq 0; then \
444               banner="$$failed of $$all tests failed"; \
445             else \
446               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
447             fi; \
448           fi; \
449           dashes="$$banner"; \
450           skipped=""; \
451           if test "$$skip" -ne 0; then \
452             skipped="($$skip tests were not run)"; \
453             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
454               dashes="$$skipped"; \
455           fi; \
456           report=""; \
457           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
458             report="Please report to $(PACKAGE_BUGREPORT)"; \
459             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
460               dashes="$$report"; \
461           fi; \
462           dashes=`echo "$$dashes" | sed s/./=/g`; \
463           echo "$$dashes"; \
464           echo "$$banner"; \
465           test -z "$$skipped" || echo "$$skipped"; \
466           test -z "$$report" || echo "$$report"; \
467           echo "$$dashes"; \
468           test "$$failed" -eq 0; \
469         else :; fi
470
471 distdir: $(DISTFILES)
472         $(mkdir_p) $(distdir)/../../acmacro
473         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
474         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
475         list='$(DISTFILES)'; for file in $$list; do \
476           case $$file in \
477             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
478             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
479           esac; \
480           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
481           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
482           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
483             dir="/$$dir"; \
484             $(mkdir_p) "$(distdir)$$dir"; \
485           else \
486             dir=''; \
487           fi; \
488           if test -d $$d/$$file; then \
489             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
490               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
491             fi; \
492             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
493           else \
494             test -f $(distdir)/$$file \
495             || cp -p $$d/$$file $(distdir)/$$file \
496             || exit 1; \
497           fi; \
498         done
499 check-am: all-am
500         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
501         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
502 check: check-am
503 all-am: Makefile
504 installdirs:
505 install: install-am
506 install-exec: install-exec-am
507 install-data: install-data-am
508 uninstall: uninstall-am
509
510 install-am: all-am
511         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
512
513 installcheck: installcheck-am
514 install-strip:
515         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
516           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
517           `test -z '$(STRIP)' || \
518             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
519 mostlyclean-generic:
520
521 clean-generic:
522         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
523
524 distclean-generic:
525         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
526
527 maintainer-clean-generic:
528         @echo "This command is intended for maintainers to use"
529         @echo "it deletes files that may require special tools to rebuild."
530 clean: clean-am
531
532 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
533         mostlyclean-am
534
535 distclean: distclean-am
536         -rm -rf ./$(DEPDIR)
537         -rm -f Makefile
538 distclean-am: clean-am distclean-compile distclean-generic \
539         distclean-libtool distclean-tags
540
541 dvi: dvi-am
542
543 dvi-am:
544
545 html: html-am
546
547 info: info-am
548
549 info-am:
550
551 install-data-am:
552
553 install-exec-am:
554
555 install-info: install-info-am
556
557 install-man:
558
559 installcheck-am:
560
561 maintainer-clean: maintainer-clean-am
562         -rm -rf ./$(DEPDIR)
563         -rm -f Makefile
564 maintainer-clean-am: distclean-am maintainer-clean-generic
565
566 mostlyclean: mostlyclean-am
567
568 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
569         mostlyclean-libtool
570
571 pdf: pdf-am
572
573 pdf-am:
574
575 ps: ps-am
576
577 ps-am:
578
579 uninstall-am: uninstall-info-am
580
581 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
582         clean-checkPROGRAMS clean-generic clean-libtool ctags \
583         distclean distclean-compile distclean-generic \
584         distclean-libtool distclean-tags distdir dvi dvi-am html \
585         html-am info info-am install install-am install-data \
586         install-data-am install-exec install-exec-am install-info \
587         install-info-am install-man install-strip installcheck \
588         installcheck-am installdirs maintainer-clean \
589         maintainer-clean-generic mostlyclean mostlyclean-compile \
590         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
591         tags uninstall uninstall-am uninstall-info-am
592
593
594 dist-files:
595         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
596         @echo
597         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
598 # Tell versions [3.59,3.63) of GNU make to not export all variables.
599 # Otherwise a system limit (for SysV at least) may be exceeded.
600 .NOEXPORT: